Internet Explorer 9 and Firefox 4

By | March 23, 2011
Print pagePDF page

Recently both Internet Explorer and Firefox released their latest versions to the public. Both have been in various stages of development for months – and offered to the public as beta versions or release candidates for the past several months. Many of you may have installed these test versions (beta or RC) and tried them out. Now, after months of testing Internet Explorer 9 and Firefox 4 are ready for prime time.

Right now we’re reviewing them both and we’ll have more for you on each of these new version browsers soon. For now here are some of the features of each:

Internet Explorer 9’s new features:

Firefox 4’s new features

It’s always good to use the most current version of the browser you like best. The newest iterations of Firefox and Internet Explorer are safer and more secure than their predecessors. Not only are they safer and faster, they also render the new HTML 5 standard which is the latest, greatest version of HTML – the language upon which Web pages are built.

You can download the latest version of Internet Explorer here.

You can download Firefox 4 here.

3 thoughts on “Internet Explorer 9 and Firefox 4

  1. Don Snyder

    One thing I found with Firefox 4 is that Roboform V6.x does not work with it. Since Roboform is no longer supporting V6.x, I’ve switched to LastPass rather than pay Roboform again for what I thought was a lifetime license when I bought it originally.

    Reply
    1. infoave Post author

      We’ve stopped recommending RoboForm because they refused to honor their lifetime license. They told us that users were free to use the older version of RoboForm knowing full well that that when new browsers are released that users would be stuck with an outdated version good for nothing but use on older, less-secure browsers. We’ve been recommended LastPass – I’ve been using it on all three browsers I use… Firefox, Chrome, and Internet Explorer.

      Reply
  2. Jeffrey Nabozny

    Just to prove how crappy Siber Systems is in not supporting FF4 with V6, it would take them virtually no work to fix it. Here’s how you can do it yourself:

    1. Install Roboform 7.2.6
    2. Copy folder “c:\Program Files\Siber Systems\AI RoboForm\Firefox\”
    3. Install Roboform 6.10.2 -dont untick option to install adapter for firefox
    4. Replace “c:\Program Files\Siber Systems\AI RoboForm\Firefox\” with your copy from 7.2.6 version

    now u should have working 6.10.2 roboform with latest adapter from 7.2.6

    If toolbar didnt appear right away after restart, remove Roboform toolbar extention from add-ons.

    Reply

Leave a Reply

Your email address will not be published. Required fields are marked *